# MPI_Info_dup

Returns a duplicate of the info object

## Synopsis

    #include "mpi.h"
    int MPI_Info_dup(MPI_Info info, MPI_Info *newinfo)

## Input Parameters

info
  info object (handle)

## Output Parameters

newinfo
  duplicate of info object (handle)

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.

Location:info_dup.c